MyGUI 3.2.2

Data Structures | Namespaces | Typedefs
MyGUI_WidgetInput.h File Reference
`#include "MyGUI_Prerequest.h"`
`#include "MyGUI_Macros.h"`
`#include "MyGUI_WidgetDefines.h"`
`#include "MyGUI_WidgetToolTip.h"`
`#include "MyGUI_MouseButton.h"`
`#include "MyGUI_KeyCode.h"`
`#include "MyGUI_MaskPickInfo.h"`
`#include "MyGUI_Delegate.h"`
`#include "MyGUI_EventPair.h"`

Go to the source code of this file.

## Data Structures
class | MyGUI::WidgetInput

## Namespaces
| MyGUI

## Typedefs
typedef delegates::CMultiDelegate1< Widget * > | MyGUI::EventHandle_WidgetVoid
typedef delegates::CMultiDelegate2< Widget *, Widget * > | MyGUI::EventHandle_WidgetWidget
typedef delegates::CMultiDelegate2< Widget *, bool > | MyGUI::EventHandle_WidgetBool
typedef delegates::CMultiDelegate2< Widget *, int > | MyGUI::EventHandle_WidgetInt
typedef delegates::CMultiDelegate2< Widget *, size_t > | MyGUI::EventHandle_WidgetSizeT
typedef delegates::CMultiDelegate3< Widget *, int, int > | MyGUI::EventHandle_WidgetIntInt
typedef delegates::CMultiDelegate4< Widget *, int, int, MouseButton > | MyGUI::EventHandle_WidgetIntIntButton
typedef delegates::CMultiDelegate2< Widget *, KeyCode > | MyGUI::EventHandle_WidgetKeyCode
typedef delegates::CMultiDelegate3< Widget *, KeyCode, Char > | MyGUI::EventHandle_WidgetKeyCodeChar
typedef delegates::CMultiDelegate2< Widget *, const ToolTipInfo &> | MyGUI::EventHandle_WidgetToolTip